Bug 8826 - smbcacls cannot get ACL on //server/share
smbcacls cannot get ACL on //server/share
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 06:34 UTC by SATOH Fumiyasu
Modified: 2012-04-10 19:01 UTC (History)
0 users

See Also:


Attachments
Proposed patch (Samba 3.5) (822 bytes, patch)
2012-03-26 09:59 UTC, SATOH Fumiyasu
no flags Details
Proposed patch (Samba 3.6) (846 bytes, patch)
2012-03-26 10:14 UTC, SATOH Fumiyasu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description SATOH Fumiyasu 2012-03-25 06:34:20 UTC
I want to query ACL on //server/share by smbcacls,
but the following command-line fails:

  $ /opt/osstech/bin/smbcacls //server/share . -Uuser%password
  Failed to open \.: NT_STATUS_OBJECT_NAME_INVALID

Is this smbcacls's problem?

If //server/share/dir exists, I can use the following workaround:

$ /opt/osstech/bin/smbcacls //server/share dir/.. -Uuser%password
REVISION:1
CONTROL:0x8004
OWNER:Unix User\root
GROUP:Unix Group\root
ACL:Unix User\root:DENIED/0x0/
ACL:Unix User\root:ALLOWED/0x0/0x001c0177
ACL:Unix Group\root:DENIED/0x0/0x00000046
ACL:Unix Group\root:ALLOWED/0x0/0x00100021
ACL:Everyone:DENIED/0x0/0x000c0156
ACL:Everyone:ALLOWED/0x0/READ
Comment 1 Volker Lendecke 2012-03-26 08:31:21 UTC
Can you try smbcacls //server/share \\ instead? This just worked fine for me. If that does not work, please re-open this bug. Thanks!
Comment 2 SATOH Fumiyasu 2012-03-26 09:09:28 UTC
It works. Thanks.

I want to apply the following patch to smbacls(1) manpage:

$ git diff
diff --git a/docs-xml/manpages-3/smbcacls.1.xml b/docs-xml/manpages-3/smbcacls.1.xml
index 16915bb..cba71c1 100644
--- a/docs-xml/manpages-3/smbcacls.1.xml
+++ b/docs-xml/manpages-3/smbcacls.1.xml
@@ -20,7 +20,7 @@
        <cmdsynopsis>
                <command>smbcacls</command>
                <arg choice="req">//server/share</arg>
-               <arg choice="req">filename</arg>
+               <arg choice="req">/filename</arg>
                <arg choice="opt">-D acls</arg>
                <arg choice="opt">-M acls</arg>
                <arg choice="opt">-a acls</arg>
Comment 3 Volker Lendecke 2012-03-26 09:50:31 UTC
Would it be possible for you to send a patch in git format-patch form?
Comment 4 SATOH Fumiyasu 2012-03-26 09:59:11 UTC
Created attachment 7404 [details]
Proposed patch (Samba 3.5)
Comment 5 SATOH Fumiyasu 2012-03-26 10:14:14 UTC
Created attachment 7405 [details]
Proposed patch (Samba 3.6)
Comment 7 Jeremy Allison 2012-03-27 18:34:15 UTC
Re-opened and re-assigned to Karolin so she can cherry-pick that git ref for the next 3.6.x release.

Jeremy.
Comment 8 Karolin Seeger 2012-04-10 19:01:17 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!